summaryrefslogtreecommitdiffstats
path: root/system/postgresql
diff options
context:
space:
mode:
Diffstat (limited to 'system/postgresql')
-rw-r--r--system/postgresql/postgresql.SlackBuild9
-rw-r--r--system/postgresql/postgresql.info6
2 files changed, 8 insertions, 7 deletions
diff --git a/system/postgresql/postgresql.SlackBuild b/system/postgresql/postgresql.SlackBuild
index 443848f76a..f405f0e0ce 100644
--- a/system/postgresql/postgresql.SlackBuild
+++ b/system/postgresql/postgresql.SlackBuild
@@ -30,7 +30,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=postgresql
-VERSION=${VERSION:-14.3}
+VERSION=${VERSION:-14.9}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -61,11 +61,11 @@ OUTPUT=${OUTPUT:-/tmp}
# For slackbuilds.org, assigned postgres uid/gid are 209/209
# See http://slackbuilds.org/uid_gid.txt
# Other popular choice is 26/26
-if ! grep ^postgres: /etc/group 2>&1 > /dev/null; then
+if ! grep ^postgres: /etc/group > /dev/null 2>&1 ; then
echo " You must have a postgres group to run this script."
echo " # groupadd -g $PG_GID postgres"
exit 1
-elif ! grep ^postgres: /etc/passwd 2>&1 > /dev/null; then
+elif ! grep ^postgres: /etc/passwd > /dev/null 2>&1 ; then
echo " You must have a postgres user to run this script."
echo " # useradd -u $PG_UID -g $PG_GID -d /var/lib/pgsql postgres"
exit 1
@@ -107,6 +107,7 @@ find -L . \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
+PYTHON="/usr/bin/python3" \
./configure \
--prefix=/usr/lib${LIBDIRSUFFIX}/$PRGNAM/$PG_VERSION \
--sysconfdir=/etc/$PRGNAM/$PG_VERSION \
@@ -155,7 +156,7 @@ strip $PKG/usr/lib${LIBDIRSUFFIX}/$PRGNAM/$PG_VERSION/bin/pg_config
PG_EXTENSIONS=${PG_EXTENSIONS:-"adminpack pgcrypto ltree xml2 postgres_fdw file_fdw hstore citext"}
-if [ "x$PG_EXTENSIONS" = "xALL" ];then
+if [ "$PG_EXTENSIONS" = "ALL" ];then
cd $TMP/$PRGNAM-$VERSION/contrib
make all
make install-strip DESTDIR=$PKG
diff --git a/system/postgresql/postgresql.info b/system/postgresql/postgresql.info
index 21f9a1bd4c..1eacb7229a 100644
--- a/system/postgresql/postgresql.info
+++ b/system/postgresql/postgresql.info
@@ -1,8 +1,8 @@
PRGNAM="postgresql"
-VERSION="14.3"
+VERSION="14.9"
HOMEPAGE="https://www.postgresql.org"
-DOWNLOAD="https://ftp.postgresql.org/pub/source/v14.3/postgresql-14.3.tar.gz"
-MD5SUM="25537255e3467a21418751a801b522c0"
+DOWNLOAD="https://ftp.postgresql.org/pub/source/v14.9/postgresql-14.9.tar.gz"
+MD5SUM="08c55c0025f598151b4107844c55b14d"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""